org.baraza.DB

## Class BImportModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - org.baraza.DB.BImportModel

- All Implemented Interfaces:
    Serializable, TableModel

      public class BImportModel
      extends AbstractTableModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BImportModel(BElement fielddef)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearupload()`
    `void` | `close()`
    `int` | `getColumnCount()`
    `String` | `getColumnName(int col)`
    `Vector<Vector<Object>>` | `getData()`
    `void` | `getExcelData(JPanel panel, String worksheet)`
    `void` | `getRecordData(JPanel panel)`
    `int` | `getRowCount()`
    `String` | `getstrvalue(org.apache.poi.hssf.usermodel.HSSFRow row, int column)`
    `String` | `getstrvalue(String mystr)`
    `void` | `getTextData(JPanel panel, String delimiter)`
    `Object` | `getValueAt(int aRow, int aColumn)`
    `boolean` | `isCellEditable(int row, int col)`
    `void` | `setValueAt(Object value, int row, int col)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BImportModel

          public BImportModel(BElement fielddef)

  - ### Method Detail

    - #### getColumnName

          public String getColumnName(int col)

      Specified by:
        `getColumnName` in interface `TableModel`
      Overrides:
        `getColumnName` in class `AbstractTableModel`

    - #### getRowCount

          public int getRowCount()

    - #### getColumnCount

          public int getColumnCount()

    - #### getValueAt

          public Object getValueAt(int aRow,
                          int aColumn)

    - #### isCellEditable

          public boolean isCellEditable(int row,
                               int col)

      Specified by:
        `isCellEditable` in interface `TableModel`
      Overrides:
        `isCellEditable` in class `AbstractTableModel`

    - #### setValueAt

          public void setValueAt(Object value,
                        int row,
                        int col)

      Specified by:
        `setValueAt` in interface `TableModel`
      Overrides:
        `setValueAt` in class `AbstractTableModel`

    - #### getTextData

          public void getTextData(JPanel panel,
                         String delimiter)

    - #### getRecordData

          public void getRecordData(JPanel panel)

    - #### getExcelData

          public void getExcelData(JPanel panel,
                          String worksheet)

    - #### clearupload

          public void clearupload()

    - #### getstrvalue

          public String getstrvalue(String mystr)

    - #### getstrvalue

          public String getstrvalue(org.apache.poi.hssf.usermodel.HSSFRow row,
                           int column)

    - #### getData

          public Vector<Vector<Object>> getData()

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.